/* =========================================
   MEDIA QUERIES - NAV RESPONSIVA
   ========================================= */
@media screen and (max-width: 460px) {
    .bloco-s2 {
        max-width: 430px;
    }

    #bloco-1 .img-content {
        background-image: url('imagens-frota/vuc\ 460.png');
        background-size: cover;
    }

    #bloco-2 .img-content {
        background-image: url('imagens-frota/tres\ quartos\ 460.png');
        background-size: cover;
        background-position: center right;
    }

    #bloco-3 .img-content {
        background-image: url('imagens-frota/_carreta\ \ 460.png');
        background-size: cover;
        background-position: center right;
    }

    #bloco-4 .img-content {
        background-image: url('imagens-frota/_toco\ 460\ \(2\).png');
        background-size: cover;
        background-position: center right;
    }

    #bloco-5 .img-content {
        background-image: url('imagens-frota/_Truck\ 460.png');
        background-size: cover;
    }

}

/* --- TABLET (768px) --- */
@media screen and (min-width: 767px) {
    #mobile-wrapper {
        left: 5%;
        width: 90%;
        height: 80px;
    }

    .s-nav {
        height: 140px;
    }

    .titulo-sec>h1 {
        font-size: 3.2rem;
        width: 70%;
        padding-bottom: 20px;
    }

    .s2 {
        height: 650px;
    }

    .bloco-s2 {
        height: 600px;
        width: 90%;
    }

    .indicadores {
        bottom: 20px;
    }

    .text-content>h2 {
        font-size: 2.2rem;
        padding-top: 30px;
    }

    .text-content>p {
        font-size: 1.2rem;
        line-height: 1.7rem;
    }

    #bloco-1 .img-content {
        background-image: url('imagens-frota/vuc\ 767.png');
        background-size: cover;
    }

    #bloco-2 .img-content {
        background-image: url('imagens-frota/tres\ quartos\ 767.png');
        background-size: cover;

    }

    #bloco-3 .img-content {
        background-image: url('imagens-frota/carreta\ \ 767.png');
        background-size: cover;
    }

    #bloco-4 .img-content {
        background-image: url('imagens-frota/toco\ 767\ \(2\).png');
        background-size: cover;
    }

    #bloco-5 .img-content {
        background-image: url('imagens-frota/Truck\ 767.png');
        background-size: cover;
    }


}

/* --- DESKTOP PADRÃO (1024px) - O Ponto de Virada --- */
@media screen and (min-width: 1024px) {

    /* 1. Esconde o Mobile */
    #mobile-wrapper {
        display: none;
    }

    /* 2. Mostra e Estiliza Nav Desktop */
    .nav-pc {
        display: flex;
        /* Torna visível */
        position: fixed;
        top: 30px;
        left: 3%;
        width: 94%;
        height: 80px;
        padding: 0 20px;

        background-color: rgba(0, 0, 0, 0.55);
        backdrop-filter: saturate(180%) blur(20px);
        border-radius: 80px;
        box-shadow: 0px 0px 10px 1px rgba(0, 0, 0, 0.226);
        z-index: 1000;

        justify-content: space-between;
        align-items: center;
        transition: all 0.4s ease-in-out;

        animation: navEntrada 1.6s cubic-bezier(0.2, 0.8, 0.2, 1) forwards;
        transform-origin: center top;
    }

    /* 3. Comportamento ao Rolar (Minimizada) */
    nav.minimizada {
        top: 10px;
        height: 70px;
        width: 88%;
        /* Zoom out horizontal */
        left: 6%;
        background-color: rgba(0, 0, 0, 0.75);
    }

    /* 4. Elementos Internos Desktop */
    nav>.txt-lo {
        width: 140px;
    }

    #img-logo {
        width: 120px;
        height: 120px;
        margin-top: 25px;
        transition: all 0.4s ease-in-out;
    }

    nav.minimizada #img-logo {
        transform: scale(0.95);
    }

    /* Links/Abas */
    nav>.abas {
        width: 75%;
        max-width: 1000px;
        display: flex;
        justify-content: space-around;
        padding: 10px;
        background-color: #ffffff0c;
        border-radius: 80px;
        margin: 0px 10px;
    }

    .s-link-nav {
        color: rgba(255, 255, 255, 0.8);
        text-decoration: none;
        padding: 7px 1px;
        font-size: 1.1rem;
        font-weight: 100;
        font-family: "Montserrat", sans-serif;
        transition: 0.2s;
    }

    .s-link-nav:hover {
        color: #5a8cf8;
        transform: translateY(-2px);
    }

    /* Botão Contato */
    #contato-btn {
        padding: 13px 30px;
        background-color: #155DFC;
        border: none;
        border-radius: 10px;
        margin-right: 10px;
        transition: 0.3s ease-in-out;
    }

    nav.minimizada #contato-btn {
        transform: scale(0.95);
    }

    #contato-btn>a {
        text-decoration: none;
        color: white;
        font-size: 1.4rem;
    }

    #contato-btn:hover {
        background-color: #134ecc;
        transform: scale(1.02);
    }

    .s2 {
        height: 570px;
    }

    .bloco-s2 {
        height: 520px;
        width: 70%;
        max-width: 760px;

    }

    .prev {
        left: 3%;
        display: block;
    }

    .next {
        right: 3%;
        display: block;
    }

    #bloco-1 .img-content {
        background-image: url('imagens-frota/vuc\ 1024.png');
        background-size: cover;
    }

    #bloco-2 .img-content {
        background-image: url('imagens-frota/tres\ quartos\ 1024.png');
        background-size: cover;

    }

    #bloco-3 .img-content {
        background-image: url('imagens-frota/carreta\ \ 1024.png');
        background-size: cover;
    }

    #bloco-4 .img-content {
        background-image: url('imagens-frota/toco\ 1024\ \(2\).png');
        background-size: cover;
    }

    #bloco-5 .img-content {
        background-image: url('imagens-frota/Truck\ 1024.png');
        background-size: cover;
    }

}

/* --- TELAS GRANDES (1367px) --- */
@media screen and (min-width: 1367px) {
    .nav-pc {
        width: 80%;
        left: 10%;
    }

    nav.minimizada {
        width: 72%;
        left: 14%;
    }

    #contato-btn {
        margin-right: 30px;
    }

    .img-content {
        height: 75%;
    }

    .s2 {
        height: 600px;
    }

    .bloco-s2 {
        height: 550px;
        width: 65%;
        max-width: 890px;

    }

    #bloco-1 .img-content {
        background-image: url('imagens-frota/vuc\ 1367.png');
        background-size: cover;
    }

    #bloco-2 .img-content {
        background-image: url('imagens-frota/tres\ quartos\ 1367.png');
        background-size: cover;

    }

    #bloco-3 .img-content {
        background-image: url('imagens-frota/carreta\ \ 1367.png');
        background-size: cover;
    }

    #bloco-4 .img-content {
        background-image: url('imagens-frota/toco\ 1367\ \(2\).png');
        background-size: cover;
    }

    #bloco-5 .img-content {
        background-image: url('imagens-frota/Truck\ 1367.png');
        background-size: cover;
    }


}

/* --- TELAS EXTRA GRANDES (1601px) --- */
@media screen and (min-width: 1601px) {
    .titulo-sec {
        padding-bottom: 0px;
        margin-bottom: 0px;
    }

    .nav-pc {
        width: 75%;
        left: 12.5%;
    }

    nav.minimizada {
        width: 68%;
        left: 16%;
    }

    .s2 {
        height: 570px;

    }

    .bloco-s2 {
        height: 520px;
        width: 950px;
        max-width: 950px;
        margin-bottom: 50px;
        transform: scale(1);
    }

    #bloco-1 .img-content {
        background-image: url('imagens-frota/vuc\ 950\ x\ 310\ 1601.png');
        background-size: cover;
    }

    #bloco-2 .img-content {
        background-image: url('imagens-frota/tres\ quartos\ 1601.png');
        background-size: cover;

    }

    #bloco-3 .img-content {
        background-image: url('imagens-frota/carreta\ \ 950\ x\ 310\ 1601.png');
        background-size: cover;
    }

    #bloco-4 .img-content {
        background-image: url('imagens-frota/toco\ 950\ x\ 310\ 1601\ \(2\).png');
        background-size: cover;
    }

    #bloco-5 .img-content {
        background-image: url('imagens-frota/Truck\ 950\ x\ 310\ 1601.png');
        background-size: cover;
    }
     .prev {
        left: 10%;
        display: block;
    }

    .next {
        right: 10%;
        display: block;
    }


}

/* --- MONITORES WIDE (1920px) --- */
@media screen and (min-width: 1920px) {
    .nav-pc {
        width: 68%;
        left: 16%;
    }

    nav.minimizada {
        width: 58%;
        left: 21%;
    }

    #contato-btn {
        margin-left: 40px;
        margin-right: 40px;
        padding: 15px 35px;
    }

    .txt-lo {
        margin-left: 40px;
        margin-right: 40px;
    }

    .nav-pc>.abas {
        width: 100%;
    }

    .prev {
        left: 7%;
        display: block;
    }

    .next {
        right: 7%;
        display: block;
    }

    .s2 {
        height: 680px;
    }
   
    .bloco-s2 {
        height: 630px;
        width: 50%;
        max-width: 1000px;

    }

    .indicadores {
        bottom: 20px;
    }

    #bloco-1 .img-content {
        background-image: url('imagens-frota/vuc\ 1920.png');
        background-size: cover;
    }

    #bloco-2 .img-content {
        background-image: url('imagens-frota/tres\ quartos\ 1920.png');
        background-size: cover;

    }

    #bloco-3 .img-content {
        background-image: url('imagens-frota/_carreta\ 1920.png');
        background-size: cover;
    }

    #bloco-4 .img-content {
        background-image: url('imagens-frota/_toco\ \ 1920\ \(1\).png');
        background-size: cover;
    }

    #bloco-5 .img-content {
        background-image: url('imagens-frota/_Truck\ 1920.png');
        background-size: cover;
    }


}


@keyframes navEntrada {
    0% {
        opacity: 0;
        transform: scale(1.15) translateY(-20px);
    }

    100% {
        opacity: 1;
        transform: scale(1) translateY(0);
    }
}